Status: Closed Start date: 2009-03-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

When clicking 'help' on text formatting, I am forwarded to the full textile documentation, which has the following example, at the end

of section 4 (http://hobix.com/textile/#attributes):

(for the report, I've wrapped it with <pre>)

<div style="float:right;">

h3. Sidebar

"Hobix":http://hobix.com/

"Ruby":http://ruby-lang.org/

</div>

The main text of the

page goes here and will 

stay to the left of the 

sidebar.1

 The div selector is quoted in the text, instead of left as is.

My use case is that I need to change the div's direction to be "rtl", and it is impossible at the moment.

A workaround or even a hack to make it work would also be appreciated

Related issues:

Has duplicate Redmine - Defect #3222: inline html not supported Closed 2009-04-22

History

#1 - 2009-04-02 19:33 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

Inline styling was disabled some time ago for security reasons.

#2 - 2009-04-02 19:35 - Jean-Philippe Lang

PS: if you need that feature, you can turn it on here:

source:/trunk/lib/redmine/wiki_formatting/textile/formatter.rb@2192#L33

#3 - 2009-04-03 08:04 - Yuval Hager

Thanks for the tip - I'll test that soon.

#4 - 2009-04-03 08:33 - Yuval Hager

Actually, I tried setting self.filter_styles=false and even added self.filter_html=false, but still there is no change in behavior (div styles are escaped).

Is there any cache that needs to be cleaned for the settings to take effect? I am no ruby programmer..

Thanks,
http://hobix.com/textile/#attributes
https://www.redmine.org/projects/redmine/repository/svn/revisions/2192/entry/trunk/lib/redmine/wiki_formatting/textile/formatter.rb#L33


#5 - 2009-04-06 10:24 - Yuval Hager

- File yh.patch added

I finally managed to make it work by patching lib/redcloth3.rb (patch attached).

Files

yh.patch 496 Bytes 2009-04-06 Yuval Hager

Powered by TCPDF (www.tcpdf.org)

2025-07-04 2/2

http://www.tcpdf.org

